/*#############################################################################
# IPXCHECK32DLG.CPP
#
# SCA Software International S.A.
#
#############################################################################*/

#if !defined(AFX_IPXCHECK32DLG_H__67C13C38_4776_11D3_8E5C_0080AD4311B1__INCLUDED_)
#define AFX_IPXCHECK32DLG_H__67C13C38_4776_11D3_8E5C_0080AD4311B1__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "stdafx.h"

//=============================================================================
// TIpxCheck32Dlg dialog
//
//=============================================================================

class TIpxCheck32Dlg : public CDialog {
private:
  BOOL m_bIpxSupported;
  CString m_strHostName;
  SOCKADDR m_Address;
  int m_hSocket;

private:
  void AtoH(char *src, char *dest, int destlen);
  unsigned char BtoH(char ch);
  void createAddress(SOCKADDR *pAddress, LPCTSTR szNetwork, LPCTSTR szNode,
                                     LPCTSTR szSocket);
  void updateList(SOCKADDR *pAddrFrom, char *buffer, int buflen);
  CString formatNodeAddress(SOCKADDR *pAddrFrom);

public:
	TIpxCheck32Dlg(CWnd* pParent = NULL);	// standard constructor

	//{{AFX_DATA(TIpxCheck32Dlg)
	enum { IDD = IDD_IPXCHECK32_DIALOG };
	CEdit	NameEd;
	CListCtrl	StationL;
	//}}AFX_DATA

	//{{AFX_VIRTUAL(TIpxCheck32Dlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

protected:
	HICON m_hIcon;

	//{{AFX_MSG(TIpxCheck32Dlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnDestroy();
  afx_msg LRESULT OnWinsock(WPARAM wParam, LPARAM lParam);
	afx_msg void OnNameExit();
	afx_msg void OnNameEnter();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_IPXCHECK32DLG_H__67C13C38_4776_11D3_8E5C_0080AD4311B1__INCLUDED_)

/*#############################################################################
# End of file IPXCHECK32DLG.H
#############################################################################*/
